#
# spec file for package dazuko (Version 2.3.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dazuko
License:        BSD License and BSD-like, Other License(s), see package
Group:          System/Kernel
Version:        2.3.2
Release:        3.1
%define dazuko_version 2.3.2
Summary:        On-access virus scanning kernel interface
URL:            http://www.dazuko.org/
Source0:        http://www.dazuko.org/files/dazuko-%{dazuko_version}.tar.gz
Source1:        http://www.dazuko.org/files/dazuko-%{dazuko_version}.tar.gz.asc
Source2:        dazuko.sysconfig
Source3:        dazuko.init-script
#Patch0:         dazuko-%{dazuko_version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: %ix86 x86_64
#Obsoletes:    km_antivir km_dazuko
BuildRequires:  kernel-source kernel-syms
%suse_kernel_module_package kdump um

%description
The dazuko package contains the boot script loading / unloading the
dazuko on-access virus scanning kernel interface module provided by the
dazuko-KMP kernel module packages.



Authors:
--------
    John Ogness
    Martin Ritter

%package KMP
Summary:        On-access virus scanning kernel interface
Group:          System/Kernel

%description KMP
The dazuko-KMP package contains the on-access virus scanning kernel
interface module.



Authors:
--------
    John Ogness
    Martin Ritter

%prep
%setup -n dazuko-%{dazuko_version}
#%patch0 -p0
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
#export EXTRA_CFLAGS='-DVERSION=\"%version\"'
export EXTRA_CFLAGS='-DVERSION=\"%dazuko_version\"'
### dazuko's configure checks running system here...
if grep -qs 'EXPORT_SYMBOL(__d_path)' /usr/src/linux/fs/dcache.c ; then
	CONFIGURE_FLAGS='--disable-local-dpath'
else
	CONFIGURE_FLAGS='--disable-chroot-support'
fi
# Need System.map file to be able to use this hook...
#CONFIGURE_FLAGS="${CONFIGURE_FLAGS} --enable-syscalls"
#CONFIGURE_FLAGS="${CONFIGURE_FLAGS} --sct-readonly"
### the build loop for all kernel flavors
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	KERNEL_SRC="/usr/src/linux"
	KERNEL_OBJ="/usr/src/linux-obj/%_target_cpu/$flavor"
	pushd obj/$flavor
		DEBUG_FLAGS=""
		case $flavor in
			*debug*) DEBUG_FLAGS="--enable-debug" ;;
		esac
		./configure \
			--kernelsrcdir=${KERNEL_SRC} \
			--kernelobjdir=${KERNEL_OBJ} \
			${CONFIGURE_FLAGS} ${DEBUG_FLAGS}
	popd
	make -C ${KERNEL_OBJ} modules M=$PWD/obj/$flavor
done

%install
rm -rf %buildroot
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	make -C /usr/src/linux-obj/%_target_cpu/$flavor \
		modules_install M=$PWD/obj/$flavor
done
###
install -m755 -d $RPM_BUILD_ROOT/etc/init.d
install -m755 -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m754    $RPM_SOURCE_DIR/dazuko.init-script \
                 $RPM_BUILD_ROOT/etc/init.d/boot.dazuko
install -m644    $RPM_SOURCE_DIR/dazuko.sysconfig \
                 $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.dazuko

%post
%{fillup_and_insserv -i -n dazuko}

%preun
%if %suse_version > 820
%{stop_on_removal boot.dazuko}
%endif

%postun
#%if %suse_version > 820
#%{restart_on_update boot.dazuko}
#%endif
%insserv_cleanup

%files
%defattr(-,root,root)
/etc/init.d/boot.dazuko
/var/adm/fillup-templates/sysconfig.dazuko

%changelog -n dazuko
* Fri Dec 01 2006 - mt@suse.de
- Updated to dazuko-2.3.2, providing following fixes [Bug #224985]:
  * name-cache leak for Linux 2.2, 2.4, and 2.6+syscall (patch #5552)
  * memory leak when removing trusted applications (patch #5552)
  * Linux 2.6 LSM stacking as a secondary module (obsoletes our
  dazuko-second_register.diff patch)
  * overly conservative snprintf() calls
* Thu Nov 16 2006 - mt@suse.de
- Renamed package from hbedv-dazuko(-KMP) to dazuko(-KMP).
* Wed Nov 08 2006 - mt@suse.de
- Improved LSB required-start tag in boot.dazuko init script.
* Mon Nov 06 2006 - mt@suse.de
- Updated to dazuko-2.3.1 making our configure patch obsolete.
- Added dazuko-second_register.diff patch fixing init of the
  inode permission hook while registering as secondary LSM.
- Added boot.dazuko init script loading the dazuko module.
* Tue Aug 29 2006 - mt@suse.de
- Updated to dazuko-2.3.1pre2 supporting sys_call hooking on
  linux26, required to work togeter with apparmor (unused).
* Mon Apr 10 2006 - ro@suse.de
- added nodebuginfo tag to specfile
* Wed Feb 08 2006 - mt@suse.de
- Added patch adding invoking of the inode permission lsm hook
  of a secondary module. See Bug #65751.
* Mon Jan 23 2006 - mt@suse.de
- Initial package replacing km_dazuko.
